Subject: Re: [PATCH] Hyperv: Trigger DHCP renew after host hibernation

From: Richard Weinberger <[email-masked]>
Date: Mon, 21 Jul 2014 11:01:38 +0200

Yue,

Am 21.07.2014 10:44, schrieb Yue Zhang (OSTC DEV):
> Hi, Richard
> 
> IMHO, all networking implementations should handle the cable offline event. Consider
> this situation. I unplugged the network cable and connect it to a new network switch
> after 10 seconds. If the DHCP renew is not triggered, the network will break. I think in 
> normal cases, it should already been handled properly. Unless there is a strong 
> justification for not doing this. In that case, we shouldn't renew DHCP anyway.

I agree that they should handle the cable offline event.
My concern is that 10 seconds is maybe not a the right choice.
(As we cannot know all implementations)

Thanks,
//richard